public class BitwiseXORExample {
    public static void main(String[] args) {
        // XOR with boolean values
        System.out.println("XOR with boolean values : ");
        printValues(true, true);
        printValues(true, false);
        printValues(false, true);
        printValues(false, false);
        // XOR with int values
        System.out.println("\nXOR with int values : ");
        printValues(10, 11);
        printValues(11, 10);
        printValues(10, 10);
        printValues(11, 11);
    }
 
    public static void printValues(boolean a, boolean b) {
        System.out.println("a = " + a + ",\tb = " + b + ",\ta^b = " + (a ^ b));
    }
 
    public static void printValues(int a, int b) {
        int c = (a ^ b);
        System.out.println("a = " + a + " (binary form : " + Integer.toBinaryString(a) + ") \tb = " + b
                + " (binary form : " + Integer.toBinaryString(b) + "),\ta^b = " + c + " (binary form : "
                + Integer.toBinaryString(c) + ")");
    }
 
}